package com.lanren.huhu.partner.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lanren.huhu.partner.domain.AgentRevokeRecords;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AgentRevokeRecordsMapper extends BaseMapper<AgentRevokeRecords> {
    int updateBatch(List<AgentRevokeRecords> list);

    int batchInsert(@Param("list") List<AgentRevokeRecords> list);

    int insertOrUpdate(AgentRevokeRecords record);

    int insertOrUpdateSelective(AgentRevokeRecords record);

    int getSuccessExisting(String refId, Integer revokeType);

    int getSuccessExistingBySubOrder(String orderType, String orderSn, String subOrderSn);
}